## org.apache.fop.layout.hyphenation
Class Hyphen

    java.lang.Object
      |
      +--org.apache.fop.layout.hyphenation.Hyphen

public class Hyphen
extends java.lang.Object
implements java.io.Serializable

This class represents a hyphen. A 'full' hyphen is made of 3 parts: the pre-break text, post-break text and no-break. If no line-break is generated at this position, the no-break text is used, otherwise, pre-break and post-break are used. Typically, pre-break is equal to the hyphen character and the others are empty. However, this general scheme allows support for cases in some languages where words change spelling if they're split across lines, like german's 'backen' which hyphenates 'bak-ken'. BTW, this comes from TeX.

Author:
  Carlos Villegas <cav@uniscope.co.jp>
See Also:
  Serialized Form

Field Summary
`java.lang.String` `noBreak`
`java.lang.String` `postBreak`
`java.lang.String` `preBreak`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### preBreak

    public java.lang.String preBreak

### noBreak

    public java.lang.String noBreak

### postBreak

    public java.lang.String postBreak

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.